Summary:	The OpenGL Extension Wrangler Library
Summary(pl.UTF-8):	Bibliteka OpenGL Extension Wrangler
Name:		glew
Version:	1.12.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/glew/%{name}-%{version}.tgz
# Source0-md5:	01246c7ecd135d99be031aa63f86dca1
URL:		http://glew.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenGL Extension Wrangler Library (GLEW) is a cross-platform C/C++
extension loading library. GLEW provides efficient run-time mechanisms
for determining which OpenGL extensions are supported on the target
platform. OpenGL core and extension functionality is exposed in a
single header file.

%description -l pl.UTF-8
OpenGL Extension Wrangler Library (GLEW) jest międzyplatformową
biblioteką C/C++ ładującą rozszerzenia. GLEW zapewnia wydajne
mechanizmy rozpoznające które rozszerzenia są dostępne w czasie
wykonywania programu. Funkcjonalność rdzenia OpenGL i rozszerzeń jest
udostępniana w pojedynczym pliku nagłówkowym.

%package devel
Summary:	Header files for glew
Summary(pl.UTF-8):	Pliki nagłówkowe glew
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXi-devel
Requires:	xorg-lib-libXmu-devel

%description devel
Header files for glew.

%description devel -l pl.UTF-8
Pliki nagłówkowe glew.

%package static
Summary:	Static glew library
Summary(pl.UTF-8):	Biblioteka statyczna glew
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static glew library.

%description static -l pl.UTF-8
Biblioteka statyczna glew.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	LIBDIR=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_includedir}/GL,%{_pkgconfigdir}}

install bin/* $RPM_BUILD_ROOT%{_bindir}
cp -d lib/* $RPM_BUILD_ROOT%{_libdir}
install include/GL/{glew,glxew}.h $RPM_BUILD_ROOT%{_includedir}/GL
install glew.pc glewmx.pc $RPM_BUILD_ROOT%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.txt TODO.txt doc/*.{html,css,png,jpg}
%attr(755,root,root) %{_bindir}/glewinfo
%attr(755,root,root) %{_bindir}/visualinfo
%attr(755,root,root) %{_libdir}/libGLEW.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libGLEW.so.1.12
%attr(755,root,root) %{_libdir}/libGLEWmx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libGLEWmx.so.1.12

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGLEW.so
%attr(755,root,root) %{_libdir}/libGLEWmx.so
%{_includedir}/GL/glew.h
%{_includedir}/GL/glxew.h
%{_pkgconfigdir}/glew.pc
%{_pkgconfigdir}/glewmx.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libGLEW.a
%{_libdir}/libGLEWmx.a
%changelog
* Sun Jul 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glew.git;a=log;h=master

* Mon Jul 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 6d73304
- updated to 1.12.0 (note: new sonames)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 6bb1f44
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 3818b6c
- updated to 1.10.0 (note: new soname)
- removed obsolete dynamic-progs patch

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 2b78f03
- updated to 1.7.0

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 9f6c57d
- updated to 1.6.0 (note: new soname)

* Wed Feb 02 2011 Jakub Bogusz <qboosh@pld-linux.org> be1019c
- updated to 1.5.8

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 3329db4
- Up to 1.5.7

* Sat Oct 16 2010 Jakub Bogusz <qboosh@pld-linux.org> abe5cf8
- updated to 1.5.6
- updated dynamic-progs patch
- don't package GL/wglew.h (Win32-only)

* Wed Apr 15 2009 arvenil <arvenil@pld-linux.org> c59719f
- convert also Makefile to UNIX format instead changing patch

* Wed Apr 15 2009 arvenil <arvenil@pld-linux.org> f43c157
- up to 1.5.1
- BR: dos2unix (for fix)
- adapter

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> f783b19
- License is BSD

* Sat Aug 02 2008 arvenil <arvenil@pld-linux.org> ab8d7c0
- up to 1.5.0

* Sat Aug 02 2008 arvenil <arvenil@pld-linux.org> ca99b34
- up to 1.5.0
- added ghost

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 83abd65
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 65b306a
- converted to UTF-8

* Sat Feb 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 7ce91d6
- updated to 1.3.5
- unified sf URL

* Fri Mar 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 9f8fdc9
- sorted deps

* Thu Mar 23 2006 wolf <wolf@pld-linux.org> 9a13a56
- don't link statically glewinfo and visualinfo with libGLEW

* Thu Mar 23 2006 wolf <wolf@pld-linux.org> 92f8bb2
- new

